Skip to content
Guides
CatalogProducts
catalog:read

Get product details for agent tools

GET/v1/agent-read/catalog/products/{productId}

Get product details for agent tools. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

productId*string

Identifier of the product.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/agent-read/catalog/products/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "product": {    "id": "7204558912004325301",    "storeId": "7204558912004325301",    "name": "Example resource",    "slug": "example-resource",    "type": "product",    "status": "draft",    "price": 1,    "brand": "example",    "category": "example",    "totalVariants": 1  },  "description": "Example description.",  "tags": [    "example"  ],  "images": [    {      "id": "7204558912004325301",      "url": "https://example.com/resource",      "isPrimary": false,      "order": 1    }  ],  "specifications": [    {      "name": "Example resource",      "key": "example",      "value": "example"    }  ],  "variants": [    {      "id": "7204558912004325301",      "name": "Example resource",      "sku": "SKU-001",      "status": "outOfStock",      "price": 1,      "isDefault": false,      "options": [        {          "name": "Example resource",          "key": "example",          "value": "example"        }      ],      "barcode": "7751234567890"    }  ]}